> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload user logo

> Upload a logo file for the current user. The file is validated for security and stored in GCS.



## OpenAPI

````yaml https://app.herondata.io/swagger post /api/watermarks/logo
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/watermarks/logo:
    post:
      tags:
        - Watermarks
      summary: Upload user logo
      description: >-
        Upload a logo file for the current user. The file is validated for
        security and stored in GCS.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserLogoUploadSchema'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserLogoFileSchema'
          description: Logo uploaded successfully
        '400':
          description: Invalid file format or content
        '401':
          description: Unauthorized
        '413':
          description: File too large
components:
  schemas:
    UserLogoUploadSchema:
      properties:
        file_base64:
          description: Base64 encoded file bytes
          type: string
        filename:
          description: Name of file
          type: string
      required:
        - file_base64
        - filename
      type: object
    UserLogoFileSchema:
      properties:
        filename:
          type: string
        user_id:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````